package com.srs.stureg.service.impl;

import java.util.List;

import com.srs.stureg.domain.SrsTaskList;
import com.srs.stureg.mapper.SrsTaskListMapper;
import com.srs.stureg.service.ISrsTaskListService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 新生待办Service业务层处理
 * 
 * @author srs
 * @date 2023-08-18
 */
@Service
public class SrsTaskListServiceImpl implements ISrsTaskListService
{
    @Autowired
    private SrsTaskListMapper srsTaskListMapper;

    /**
     * 查询新生待办
     * 
     * @param id 新生待办主键
     * @return 新生待办
     */
    @Override
    public SrsTaskList selectSrsTaskListById(Long id)
    {
        return srsTaskListMapper.selectSrsTaskListById(id);
    }

    /**
     * 查询新生待办列表
     * 
     * @param srsTaskList 新生待办
     * @return 新生待办
     */
    @Override
    public List<SrsTaskList> selectSrsTaskListList(SrsTaskList srsTaskList)
    {
        srsTaskList.setDelFlag("0");
        return srsTaskListMapper.selectSrsTaskListList(srsTaskList);
    }

    /**
     * 新增新生待办
     * 
     * @param srsTaskList 新生待办
     * @return 结果
     */
    @Override
    public int insertSrsTaskList(SrsTaskList srsTaskList)
    {
        return srsTaskListMapper.insertSrsTaskList(srsTaskList);
    }

    /**
     * 修改新生待办
     * 
     * @param srsTaskList 新生待办
     * @return 结果
     */
    @Override
    public int updateSrsTaskList(SrsTaskList srsTaskList)
    {
        return srsTaskListMapper.updateSrsTaskList(srsTaskList);
    }

    /**
     * 批量删除新生待办
     * 
     * @param ids 需要删除的新生待办主键
     * @return 结果
     */
    @Override
    public int deleteSrsTaskListByIds(Long[] ids)
    {
        return srsTaskListMapper.deleteSrsTaskListByIds(ids);
    }

    /**
     * 删除新生待办信息
     * 
     * @param id 新生待办主键
     * @return 结果
     */
    @Override
    public int deleteSrsTaskListById(Long id)
    {
        return srsTaskListMapper.deleteSrsTaskListById(id);
    }
}
